Subject: RE: AW: 232-Addresses not only for current SSM model

From: "Doron Rajwan" <[email-masked]>
Date: Wed, 2 May 2001 22:24:17 +0200

I think that Heinrich means that 232/8 is reserved for SSM service model
in general, but not for PIM-SSM specific protocol.

Is this the case?  Does it matter?

thanks,
  Doron.

____________________________________________________
Doron Rajwan, Chief Technology Officer, Bandwiz Inc.
11 Bareket St. Herzlia 46511 Israel
mailto:[email-masked]
Office: +972-(9)-9515116, ext. 122
Fax:    +972-(9)-9515117
Cell:   +972-(56)-507799
Home:   +972-(3)-6736614

-----Original Message-----
From: Marshall Eubanks [mailto:[email-masked]]
Sent: Wednesday, May 02, 2001 9:08 PM
To: Hummel Heinrich
Cc: Doron Rajwan; [email-masked]
Subject: Re: AW: 232-Addresses not only for current SSM model

Hummel Heinrich wrote:

>          Doron answered:
>
> > I guess you mean 232/8 (the range 232/24 is 232.0.0.xxx).
>          Thanks. you are right.
> > I tend to agree that 16M addresses seems a lot. However, keep in
mind
> > that:
> >
> > 1. Reverse-IGMP, or On-Demand Multicast, will cause a server to use
a
> > lot of addresses, about one address per URL per rate. This can be a
lot.
>          Sure. But 1 million or  500 000 is still sufficient, isn't it
?
>
> > 2. In order not to have too many Ethernet MAC layer collisions, we
> > should have some bits in the address field, selected randomly by the
> > server.
>
>         My point is another one or maybe I should ask this question:
>         When a node in the middle of the network receives a particular
"multicast" message, how can he
>         recognize which  evtly. present  (S,G) -multicast channel is
meant in case there are multiples of  (S,G)-models, and not just SSM ?
>         Heinrich

Dear Heinrich;

    This should not happen. (Another way of putting it is that there
should not need to be
any protocol dicovery.) 232/8 is reserved for SSM. The ONLY other
address ranges that should
be used for SSM are the administratatively scoped ones, where it is up
to the domain
administrator to keep SSM and ASM traffic separated.

See draft-albanna-iana-ipv4-mcast-guidelines-01.txt
and RFC 2365.
--
                                 Regards
                                 Marshall Eubanks

>
>
> > Subject: 232-Addresses not only for current SSM model
> >
> >
> >       Hello,
> >
> >       The 232/24-address space is reserved for source-specific
> > multicast. An address G from this address space only uniquly
identifies
> > a multicast channel
> >       together with a particular source's unicast address S.
> >
> >       Application: multicast model according to the SSM WG.
> >
> >       1)
> >       This is really great for many very good reasons.
> >
> >       2)
> >       A particular source of unicast address S does not head  2**24
> > SSM-multicast channels. Therefore, a subrange would do as well.
> >
> >       3)
> >       I can imagine further multicast models in the future, which
> > would be happy to use a 232/24-address, but which
> >       would use different protocol procedures, protocol messages,
> > protocol TLVs.
> >       Just one example:
> >       A completely different mulitcast delivery channel could be a
> > ring. As a matter of fact, a ring needs only about 20 % more hops
than a
> > Dijkstra-tree.
> >       The information can be sent out in two directions so that in
> > case of a link failure, each receiver node would get the information
at
> > least once.
> >       Furthermore, in case of optical networks, the power of light
is
> > preserved in a better way.
> >       Of course, a ring could be extended to a "tree of rings" or a
> > "ring of rings".
> >
> >        I am quite sure that other folks have further ideas. People
do
> > not stop thinking about multicast just because the SSM work is done.
> >
> >       For all such reasons: Isn't it  appropriate to reserve a
> > subrange of the 232/24- address space for SSM?
> >
> >       Regards,
> >       Heinrich Hummel
> >       Siemens AG

T.M. Eubanks
Multicast Technologies, Inc
10301 Democracy Lane, Suite 410
Fairfax, Virginia 22030
Phone : 703-293-9624
Fax     : 703-293-9609
e-mail : [email-masked]
http://www.on-the-i.com

Test your network for multicast : http://www.multicasttech.com/mt/

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 2 May 2001 13:38:48 -0700

> Is this the case?  Does it matter?

Yes, no, not practially, maybe theoretically.

The SSM architecture mandates that SSM is based on a receiver driven channel
subscription mechanism, which translates into an explicit join model within
the network. What protocol you want to use within some parts of the path
is really insignificant. For example, you could imagine that some path segments
may use IGMP (proxying/mapping from/to PIM or other protocols) for whatever
obscure reasons they might choose to do that.

The only issue really is that if you start out with some other protocol and
can not map from/to PIM path segments, you'll start out having two islands,
which would mean one had to make the decision which of the two islands would
have to be called the real global 232/8 address space and which would just
be a private reuse of global addresses outside of the scope of the IETF/IANA.
So better avoid that situation if the goal here is to establish a framework
for easy scalable global reachability of ip multicast delievered content.

Cheers
	Toerless